/*
 *  gettimeofday.c
 *
 *  Real-Time Preemption, -RT-2.6.10-rc2-mm2-V0.7.30-9
 *
 *  User-triggerable ALSA xrun tracing patch: if a sound IO channel has
 *  xrun_debug enabled in /proc then user_trace_stop() will be called
 *  before printing the xrun message, and the current trace will be saved
 *  to /proc/latency_trace. This is a 'one-shot' tracing method for now.
 *
 *  It can be activated via:
 *
 *    echo 1 > /proc/asound/card0/pcm0p/xrun_debug
 *
 *    echo 1 > /proc/sys/kernel/trace_user_triggered
 *    echo 1 > /proc/sys/kernel/trace_freerunning
 *    echo 0 > /proc/sys/kernel/preempt_max_latency
 *    echo 0 > /proc/sys/kernel/preempt_thresh
 *    echo 0 > /proc/sys/kernel/preempt_wakeup_timing
 *
 *    ./gettimeofday 0 1
 */

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <sys/wait.h>
#include <linux/unistd.h>

int main (int argc, char **argv)
{
    if (argc != 3) {
        printf("usage: gettimeofday <val1> <val2>\n");
        exit(0);
    }
    
    gettimeofday(atol(argv[1]), atol(argv[2]));

    return 0;
}

/* end of gettimeofday.c */
